import 'package:json_annotation/json_annotation.dart';

part 'change.g.dart';


@JsonSerializable(explicitToJson: true)
class ChangePassword {
  @JsonKey(name: 'old')
  final String oldPassword;
  
  @JsonKey(name: 'new')
  final String newPassword;

  final String deviceId;

  const ChangePassword({required this.oldPassword, required this.newPassword, required this.deviceId});

  factory ChangePassword.fromJson(Map<String, dynamic> json) => _$ChangePasswordFromJson(json);
  Map<String, dynamic> toJson() => _$ChangePasswordToJson(this);
}
